#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - capifax installation
#
# Creation   :  2018-07-01 holbru
# Last update:  $Id: install.sh 105561 2023-07-16 19:02:58Z hbfl $
#
# Copyright (c) 2018-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=capifax

# ---------------------------------------------------------------------------
# check running
# ---------------------------------------------------------------------------
/usr/bin/udevadm trigger

if [ -f /run/capifax ]
then
    /usr/sbin/service restart eisfax.target
    /usr/bin/rm -f /run/capifax
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
