#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - capifax preinstallation
#
# Creation   :  2018-07-01 holbru
# Last update:  $Id: preinstall.sh 105436 2023-07-14 16:41:05Z hbfl $
#
# Copyright (c) 2018-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=capifax

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check eisfax 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/eisfax-files.txt ]
    then
        sed -i '/capifax/d' /etc/filelist.d/eisfax-files.txt
    fi
fi

if pgrep capifax >/dev/null
then
    echo 'datetime' >/run/capifax
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
